## org.biojava.bridge.Biocorba.Seqcore
Class SeqDBImpl

    java.lang.Object
      |
      +--org.biojava.bridge.GNOME.UnknownImpl
            |
            +--org.biojava.bridge.Biocorba.Seqcore.PrimarySeqDBImpl
                  |
                  +--org.biojava.bridge.Biocorba.Seqcore.SeqDBImpl

public class SeqDBImpl
extends PrimarySeqDBImpl
implements _SeqDB_Operations

Constructor Summary
`SeqDBImpl(SequenceDB sequenceDB)`

Method Summary
`java.lang.String[]` `get_primaryidList(org.omg.CORBA.portable.ObjectImpl seqDB)`
`Seq` `get_Seq(org.omg.CORBA.portable.ObjectImpl seqDB, java.lang.String primary_id)`

Methods inherited from class org.biojava.bridge.Biocorba.Seqcore.PrimarySeqDBImpl
`database_name, database_version, get_PrimarySeq, getSequenceDB, make_PrimarySeqIterator`

Methods inherited from class org.biojava.bridge.GNOME.UnknownImpl
`query_interface, ref, unref`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeqDBImpl

    public SeqDBImpl(SequenceDB sequenceDB)

Method Detail

### get_Seq

    public Seq get_Seq(org.omg.CORBA.portable.ObjectImpl seqDB,
                       java.lang.String primary_id)
                throws UnableToProcess

  Specified by:
    get_Seq in interface _SeqDB_Operations

### get_primaryidList

    public java.lang.String[] get_primaryidList(org.omg.CORBA.portable.ObjectImpl seqDB)

  Specified by:
    get_primaryidList in interface _SeqDB_Operations